
Application: gvSIG desktop - gvSIG add-on requests #3745
New add-on for org.gvsig.vectorediting 1.0.17-23
07/31/2015 02:19 PM - Lluís Marqués

Status: Closed Start date: 07/31/2015
Priority: Normal Due date:
Assignee: Joaquín  del Cerro Murciano % Done: 0%
Category: Vector editing Estimated time: 0.00 hour
Target version: 2.3.0-2401 Spent time: 0.00 hour
Add-on name: Unknown Add-on code:
Add-on operation requested:Add to add-ons repository
Description

https://devel.gvsig.org/download/projects/gvsig-vectorediting/pool/org.gvsig.vectorediting.app.mainplugin/gvSIG-desktop-2.3.0-org.gv
ig.vectorediting.app.mainplugin-1.0.17-23-testing-all-all-j1_6.gvspki

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3744: Al finalizar la he... Closed 07/31/2015
Related to Application: gvSIG desktop - gvSIG feature requests # 3742: Nueva ... Closed 07/31/2015
Related to Application: gvSIG desktop - gvSIG feature requests # 3736: Nueva ... Closed 07/30/2015

History
#1 - 07/31/2015 02:23 PM - Lluís Marqués

Hay que realizar un build con Jenkins. Lo he intentado pero me salta el siguiente error:

[14:13:48] Lluis Marques Castello: [INFO] [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile (
default-compile) on project org.gvsig.vectorediting.lib.prov.split: Compilation failure
[INFO] [ERROR] Failure executing javac, but could not parse the error:
[INFO] [ERROR]
[INFO] [ERROR]
[INFO] [ERROR] The system is out of resources.
[INFO] [ERROR] Consult the following stack trace for details.
[INFO] [ERROR] java.lang.OutOfMemoryError: PermGen space
[INFO] [ERROR] at com.sun.tools.javac.comp.Attr.<init>(Attr.java:101)
[INFO] [ERROR] at com.sun.tools.javac.comp.Attr.instance(Attr.java:91)
[INFO] [ERROR] at com.sun.tools.javac.comp.MemberEnter.<init>(MemberEnter.java:95)
[INFO] [ERROR] at com.sun.tools.javac.comp.MemberEnter.instance(MemberEnter.java:85)
[INFO] [ERROR] at com.sun.tools.javac.comp.Enter.<init>(Enter.java:126)
[INFO] [ERROR] at com.sun.tools.javac.comp.Enter.instance(Enter.java:114)
[INFO] [ERROR] at com.sun.tools.javac.comp.Check.<init>(Check.java:96)
[INFO] [ERROR] at com.sun.tools.javac.comp.Check.instance(Check.java:86)
[INFO] [ERROR] at com.sun.tools.javac.code.Types.<init>(Types.java:101)
[INFO] [ERROR] at com.sun.tools.javac.code.Types.instance(Types.java:88)
[INFO] [ERROR] at com.sun.tools.javac.jvm.ClassReader.<init>(ClassReader.java:264)
[INFO] [ERROR] at com.sun.tools.javac.jvm.ClassReader.instance(ClassReader.java:226)
[INFO] [ERROR] at com.sun.tools.javac.main.JavaCompiler.<init>(JavaCompiler.java:331)
[INFO] [ERROR] at com.sun.tools.javac.main.JavaCompiler.instance(JavaCompiler.java:88)
[INFO] [ERROR] at com.sun.tools.javac.main.Main.compile(Main.java:424)
[INFO] [ERROR] at com.sun.tools.javac.main.Main.compile(Main.java:353)
[INFO] [ERROR] at com.sun.tools.javac.main.Main.compile(Main.java:342)
[INFO] [ERROR] at com.sun.tools.javac.main.Main.compile(Main.java:333)
[INFO] [ERROR] at com.sun.tools.javac.Main.compile(Main.java:94)

04/30/2024 1/2

https://devel.gvsig.org/download/projects/gvsig-vectorediting/pool/org.gvsig.vectorediting.app.mainplugin/gvSIG-desktop-2.3.0-org.gvsig.vectorediting.app.mainplugin-1.0.17-23-testing-all-all-j1_6.gvspki
https://devel.gvsig.org/download/projects/gvsig-vectorediting/pool/org.gvsig.vectorediting.app.mainplugin/gvSIG-desktop-2.3.0-org.gvsig.vectorediting.app.mainplugin-1.0.17-23-testing-all-all-j1_6.gvspki


[INFO] [ERROR] at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[INFO] [ERROR] at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
[INFO] [ERROR] at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[INFO] [ERROR] at java.lang.reflect.Method.invoke(Method.java:606)
[INFO] [ERROR] at org.codehaus.plexus.compiler.javac.JavacCompiler.compileInProcess(JavacCompiler.java:554)
[INFO] [ERROR] at org.codehaus.plexus.compiler.javac.JavacCompiler.compile(JavacCompiler.java:161)
[INFO] [ERROR] at org.apache.maven.plugin.AbstractCompilerMojo.execute(AbstractCompilerMojo.java:605)
[INFO] [ERROR] at org.apache.maven.plugin.CompilerMojo.execute(CompilerMojo.java:128)
[INFO] [ERROR] at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:101)
[INFO] [ERROR] at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:209)
[INFO] [ERROR] at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
[INFO] [ERROR] at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
[INFO] [ERROR] at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:84) 

Al parecer se ha quedado sin memoria. He escrito un correo a Joaquin informándole y por skype también a Chevi.

#2 - 07/31/2015 02:23 PM - Lluís Marqués
- Related to gvSIG bugs #3744: Al finalizar la herramienta "Extender línea" se muestra opción inválida added

#3 - 07/31/2015 02:24 PM - Lluís Marqués
- Related to gvSIG feature requests #3742: Nueva herramienta de edición: Invertir sentido added

#4 - 07/31/2015 02:24 PM - Lluís Marqués
- Related to gvSIG feature requests #3736: Nueva herramienta de edición: Convertir a polilínea added

#5 - 08/27/2015 09:55 AM - Lluís Marqués
- Description updated

Generado el build y añadido link en la descripción.

#6 - 10/08/2015 09:51 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#7 - 10/14/2015 06:12 PM - Álvaro Anguix
- Status changed from Fixed to Closed
